Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.apps.Tour
Class DemoInterests

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--context.apps.Tour.DemoInterests

public class DemoInterests
extends java.util.Hashtable

This class maintains a list of DemoInterest objects.

See Also:
  `DemoInterest`, Serialized Form

Field Summary
`static java.lang.String` | `DEMO_INTERESTS`

Constructor Summary
`DemoInterests()` Basic empty constructor
`DemoInterests(AttributeNameValues atts)`

Method Summary
`void` | `addDemoInterest(DemoInterest di)` Adds a DemoInterest object to the list
`void` | `addDemoInterest(java.lang.String demo)` Adds a DemoInterest object to the list
`void` | `addDemoInterest(java.lang.String demo, java.lang.String interest)` Adds a DemoInterest object to the list
`java.util.Enumeration` | `getEnumeration()` Returns an enumeration of the DemoInterest objects
`AttributeNameValues` | `toAttributeNameValues()`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEMO_INTERESTS

    public static final java.lang.String DEMO_INTERESTS

Constructor Detail

### DemoInterests

    public DemoInterests()

  Basic empty constructor

### DemoInterests

    public DemoInterests(AttributeNameValues atts)

Method Detail

### addDemoInterest

    public void addDemoInterest(DemoInterest di)

  Adds a DemoInterest object to the list

### addDemoInterest

    public void addDemoInterest(java.lang.String demo)

  Adds a DemoInterest object to the list

### addDemoInterest

    public void addDemoInterest(java.lang.String demo,
                                java.lang.String interest)

  Adds a DemoInterest object to the list

### getEnumeration

    public java.util.Enumeration getEnumeration()

  Returns an enumeration of the DemoInterest objects

### toAttributeNameValues

    public AttributeNameValues toAttributeNameValues()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD